
package de.ivu.elect.presentation.kandidatur.table;

import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.jee.entity.EagerLoadingCollector;
import de.ivu.elect.jee.presentation.dynamictable.ColumnEntry;
import de.ivu.elect.presentation.security.EinsehenGebietSecurity;
import de.ivu.elect.presentation.table.AbstractColumnEntry;

@Named(ListenkandidaturColumnBuilder.COMPONENT_NAME)
public class ListenkandidaturColumnBuilder extends AbstractKandidaturColumnBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "listenkandidaturColumnBuilder";

  @Inject
  private transient BasisListenkandidaturColumnBuilder basisListenkandidaturColumnBuilder;

  public ListenkandidaturColumnBuilder() {
    super();
  }

  @Override
  protected void initColumns() {
    getBasisListenkandidaturColumnBuilder().initColumns();
  }

  @Override
  protected void addColumnEntriesGruppeGebiet(List<ColumnEntry< ? super Kandidatur>> result) {
    getBasisListenkandidaturColumnBuilder().addColumnEntriesGruppeGebiet(result);
  }

  @Override
  protected void addColumnEntriesStimmzetteldaten(List<ColumnEntry< ? super Kandidatur>> result) {
    getBasisListenkandidaturColumnBuilder().addColumnEntriesStimmzetteldaten(result);
  }

  @Override
  protected void addColumnEntriesKandidaturdaten(List<ColumnEntry< ? super Kandidatur>> result) {
    getBasisListenkandidaturColumnBuilder().addColumnEntriesKandidaturdaten(result);
  }

  @Override
  protected void addColumnEntriesPersonendaten(List<ColumnEntry< ? super Kandidatur>> result) {
    getBasisListenkandidaturColumnBuilder().addColumnEntriesPersonendaten(result);
  }

  @Override
  protected void addColumnEntriesBeschaeftigungsdaten(List<ColumnEntry< ? super Kandidatur>> result) {
    getBasisListenkandidaturColumnBuilder().addColumnEntriesBeschaeftigungsdaten(result);
  }

  @Override
  protected void addColumnEntriesAnschrift(List<ColumnEntry< ? super Kandidatur>> result) {
    getBasisListenkandidaturColumnBuilder().addColumnEntriesAnschrift(result);
  }

  @Override
  protected void addColumnEntriesGewaehlt(List<ColumnEntry< ? super Kandidatur>> result) {
    getBasisListenkandidaturColumnBuilder().addColumnEntriesGewaehlt(result);
  }

  @Override
  protected void addColumnEntriesVerknuepfungen(List<ColumnEntry< ? super Kandidatur>> result) {
    getBasisListenkandidaturColumnBuilder().addColumnEntriesVerknuepfungen(result);
  }

  @Override
  protected void addColumnEntriesZulassungspruefung(List<ColumnEntry< ? super Kandidatur>> result) {
    getBasisListenkandidaturColumnBuilder().addColumnEntriesZulassungspruefung(result);
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturNameVollstaendigAnzeigeColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturNameVollstaendigAnzeigeColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturAkademischerGradColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturAkademischerGradColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturTitelColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturTitelColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturFamiliennameColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturFamiliennameColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturFamiliennameBestandteilColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturFamiliennameBestandteilColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturVornamenColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturVornamenColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturGeburtsdatumColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturGeburtsdatumColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturGeschlechtColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturGeschlechtColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturBerufColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturBerufColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturBerufUnformatiertColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturBerufUnformatiertColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturBerufsschluesselColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturBerufsschluesselColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturEhrenamtColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturEhrenamtColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturKuenstlernameOrdensnameColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturKuenstlernameOrdensnameColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturZusammengestezteAnschriftColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturZusammengestezteAnschriftColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturStrasseColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturStrasseColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturHausnummerColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturHausnummerColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturHausnummerzusatzColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturHausnummerzusatzColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturWohnungsnummerColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturWohnungsnummerColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturPlzColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturPlzColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturWohnortColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturWohnortColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturOrtsteilColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturOrtsteilColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturZustellanweisungColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturZustellanweisungColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturGewaehltVorperiodeColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturGewaehltVorperiodeColumn();
  }

  protected AbstractColumnEntry<Kandidatur> getListenkandidaturVerknuepfungColumn() {
    return getBasisListenkandidaturColumnBuilder().getListenkandidaturVerknuepfungColumn();
  }

  private BasisListenkandidaturColumnBuilder getBasisListenkandidaturColumnBuilder() {
    return basisListenkandidaturColumnBuilder;
  }
}
